API Explorer 936 endpoints

Create My Api Collection

POST /obp/v7.0.0/my/api-collections

OBPv4.0.0-createMyApiCollection No role required Api-Collection

Create Api Collection for logged in user.

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON request body fields (3)
api_collection_name
Favourites
is_sharable
is_sharable
description
Description of the object. Maximum length is 2000. It can be any characters here.
JSON response body fields (5)
api_collection_id
7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
api_collection_name
Favourites
description
Description of the object. Maximum length is 2000. It can be any characters here.
is_sharable
is_sharable
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example request body
{
  "api_collection_name": "Favourites",
  "is_sharable": true,
  "description": "Description of the object. Maximum length is 2000. It can be any characters here."
}
Example success response
{
  "api_collection_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
  "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
  "api_collection_name": "Favourites",
  "is_sharable": true,
  "description": "Description of the object. Maximum length is 2000. It can be any characters here."
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-10001: Incorrect json format.
  • OBP-20057: User not found by userId.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 createMyApiCollection Originally /obp/v4.0.0/my/api-collections